# skydive_node – Module which add nodes to Skydive topology

New in version 2.8.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module handles adding node to the Skydive topology.

## Requirements

The below requirements are needed on the host that executes this module.

- skydive-client

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host - |  | To define host for the node.
metadata - |  | To define metadata for the node.
name - / required |  | To define name for the node.
node_type - / required |  | To define type for the node.
provider - |  | A dict object containing connection details.
| endpoint - / required |  | Specifies the hostname/address along with the port as `localhost:8082`for connecting to the remote instance of SKYDIVE client over the REST API.

insecure
boolean

Choices:
- no ←
- yes

Ignore SSL certification verification.

| password - |  | Specifies the password to use to authenticate the connection to the remote instance of SKYDIVE client.

ssl
boolean

Choices:
- no ←
- yes

Specifies the ssl parameter that decides if the connection type shall be http or https.

| user - |  | Configures the username to use to authenticate the connection to the remote instance of SKYDIVE client.
seed - | Default: "" | used to generate the UUID of the node

state
-

Choices:
- present ←
- update
- absent

State of the Skydive Node. If value is present new node will be created else if it is absent it will be deleted.

## Notes

Note

- This module must be run locally, which can be achieved by specifying `connection: local`.

## Examples

    - name: create tor node
      skydive_node:
        name: TOR
        node_type: fabric
        seed: TOR1
        metadata:
          Model: Cisco 5300
        state: present
        provider:
          endpoint: localhost:8082
          username: admin
          password: admin

    - name: update tor node
      skydive_node:
        name: TOR
        node_type: host
        seed: TOR1
        metadata:
          Model: Cisco 3400
        state: update
        provider:
          endpoint: localhost:8082
          username: admin
          password: admin

    - name: Delete the tor node
      skydive_node:
        name: TOR
        node_type: host
        seed: TOR1
        metadata:
          Model: Cisco 3400
        state: absent
        provider:
          endpoint: localhost:8082
          username: admin
          password: admin

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Sumit Jaiswal (@sjaiswal)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.